Skip to main content
GET
/
publisher
/
publishers
/
{id}
/
statements
/
{statementId}
/
variance-flags
List variance flags for a statement
curl --request GET \
  --url https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {}
}
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get(
  'https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X GET https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string<uuid>
required
statementId
string<uuid>
required

Query Parameters

status
enum<string>
Available options:
open,
resolved,
dismissed
source
enum<string>
Available options:
BMI,
ASCAP,
MLC,
MANUAL
page
integer
Required range: x >= 1
size
integer

Default 20, max 100.

Response

Flags fetched. Omit page/size for the unpaginated { count, StatementVarianceFlags } shape.

Standard server envelope used by the statement, reconciliation, sub-publishing, and analytics endpoints.

status
enum<string>
Available options:
success,
error
message
string
data
object